stan::math::common_type< T1, T2 > Struct Template Reference

`#include <common_type.hpp>`

## Public Types

typedef boost::math::tools::promote_args< T1, T2 >::type | type

## Detailed Description

### template<typename T1, typename T2>
struct stan::math::common_type< T1, T2 >

Definition at line 12 of file common_type.hpp.

## Member Typedef Documentation

## type

template<typename T1, typename T2>

typedef boost::math::tools::promote_args<T1, T2>::type stan::math::common_type< T1, T2 >::type

Definition at line 13 of file common_type.hpp.

The documentation for this struct was generated from the following file:

- stan/math/prim/mat/fun/common_type.hpp

[ Stan Home Page ] © 2011–2016, Stan Development Team.